> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Checkpoints



## OpenAPI

````yaml https://agentex.dev-sgp.scale.com/openapi.json post /checkpoints/list
openapi: 3.1.0
info:
  title: Agentex API
  version: 0.1.0
servers: []
security: []
paths:
  /checkpoints/list:
    post:
      tags:
        - Checkpoints
      summary: List Checkpoints
      operationId: list_checkpoints_checkpoints_list_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListCheckpointsRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/CheckpointListItem'
                type: array
                title: Response List Checkpoints Checkpoints List Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ListCheckpointsRequest:
      properties:
        thread_id:
          type: string
          title: Thread ID
        checkpoint_ns:
          anyOf:
            - type: string
            - type: 'null'
          title: Checkpoint namespace
        before_checkpoint_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Before checkpoint ID
        filter_metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Metadata filter (JSONB @>)
        limit:
          type: integer
          maximum: 1000
          minimum: 1
          title: Max results
          default: 100
      type: object
      required:
        - thread_id
      title: ListCheckpointsRequest
    CheckpointListItem:
      properties:
        thread_id:
          type: string
          title: Thread Id
        checkpoint_ns:
          type: string
          title: Checkpoint Ns
        checkpoint_id:
          type: string
          title: Checkpoint Id
        parent_checkpoint_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Parent Checkpoint Id
        checkpoint:
          additionalProperties: true
          type: object
          title: Checkpoint
        metadata:
          additionalProperties: true
          type: object
          title: Metadata
      type: object
      required:
        - thread_id
        - checkpoint_ns
        - checkpoint_id
        - checkpoint
        - metadata
      title: CheckpointListItem
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````